WordPress.org

Make WordPress Core

Opened 21 months ago

Closed 21 months ago

Last modified 21 months ago

#21566 closed enhancement (invalid)

Remove obsolete compat fallback for mb_substr()

Reported by: bpetty Owned by:
Milestone: Priority: normal
Severity: normal Version:
Component: General Keywords:
Focuses: Cc:

Description

mb_substr() has been defined in PHP since version 4.0.6. This backwards compatible fallback hasn't been needed for years now since WordPress has required PHP 4.1+ since version 1.5.

Attachments (1)

21566.patch (1.2 KB) - added by bpetty 21 months ago.

Download all attachments as: .zip

Change History (3)

bpetty21 months ago

comment:1 bpetty21 months ago

  • Resolution set to invalid
  • Status changed from new to closed

Sorry, just realized this was re-added not too long ago since mbstring wasn't included in PHP by default for many PHP5 installations.

comment:2 ocean9021 months ago

  • Keywords has-patch removed
  • Milestone Awaiting Review deleted
  • Version 3.4.1 deleted
Note: See TracTickets for help on using tickets.